Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Data Points

Get DataPoints
GET /dataSets/{dataSetId}/dataPoints
https://api.relesysapp.net/api/v1.1/dataSets/{dataSetId}/dataPoints
Get a list of DataPoints by the DataSet Id
Scopes: relesys.api, relesys.api:read, relesys.api.kpis, relesys.api.kpis:read
URL Path
dataSetId string / guid required
Query String
dataValue double Filterable Sortable optional
departmentId string / guid Filterable optional
label string Filterable Sortable optional
timeStamp datetimeoffset Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"label":"Highest Basket Size","timeStamp":"2020-01-19T22:00:00+00:00","value":1337.0,"departmentId":"c488db4f-f879-4786-9bae-dacf8fd404b4","userId":"a22bd203-7ae5-4c72-a6bd-2d38c382fc36"},{"label":"NPS","timeStamp":"2020-01-19T22:00:00+00:00","value":0.9,"departmentId":"54eae161-cc3d-4f55-86db-3a08a80f8a37","userId":"82c40c0a-4714-4379-9a1c-19352a5bde2c"}]}
object
  count integer      
  ⯈ data array[object]      
   departmentId string / guid      
   label string      
   timeStamp datetimeoffset      
   userId string / guid      
   value double      
  nextUrl string      
  previousUrl string